SHLIB                 package:utils                 R Documentation

Build Shared Library for Dynamic Loading

Description:

     Compile given source files using 'R CMD COMPILE', and then link
     all specified object files into a shared library which can be
     loaded into R using 'dyn.load' or 'library.dynam'.

Usage:

     R CMD SHLIB [options] [-o libname] files

Arguments:

   files: a list specifying the object files to be included in the
          shared library.  You can also include the name of source
          files, for which the object files are automagically made from
          their sources.

 libname: the full name of the shared library to be built, including
          the extension (typically '.so' on Unix systems).  If not
          given, the name of the library is taken from the first file.

 options: Further options to control the processing, or for obtaining
          information about usage and version of the utility.

See Also:

     'COMPILE', 'dyn.load', 'library.dynam'

